import { Component, OnInit } from '@angular/core';
import { Product } from '../../models/product';
import { ActivatedRoute } from "@angular/router"
import { HttpService } from 'src/app/services/http.service';
import { CartService } from 'src/app/services/cart.service';
import { FormControl } from '@angular/forms';

@Component({
  selector: 'app-product-item-details',
  templateUrl: './product-item-details.component.html',
  styleUrls: ['./product-item-details.component.scss']
})
export class ProductItemDetailsComponent implements OnInit {
  disableSelect = new FormControl(false);
  product: Product = 
    {
      id: 1,
      name: "",
      price: 0,
      url: "",
      description: "",
      quantity: 0
    }
  productId: number = 0
  quantity: string = '1'

  constructor(
    private httpService: HttpService, 
    private route: ActivatedRoute, 
    private cartService: CartService 
    ) { }

  ngOnInit(): void {
    this.productId = parseInt(this.route.snapshot.paramMap.get('id') as string, 10);

    this.httpService.getProducts().subscribe((res: Product[]) => {
      this.product = res.filter(item => item.id === this.productId)[0];
    })

  }

  addToCart(product: Product) {
    this.product.quantity = parseInt(this.quantity)
    this.cartService.addToCart(product);
    window.alert('Your product has been added to the cart!');
  }

}
